> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ar apply credit memo

> Ar apply credit memo

### Path parameters

<ParamField path="id" type="string" required>
  Credit memo ID
</ParamField>

### Request body

`ApplyArCreditMemoRequest`

<ParamField body="amount" type="string" required>
  Decimal amount as a string.
</ParamField>

<ParamField body="invoice_id" type="string" required />

### Responses

<ResponseField name="200" type="ArCreditMemoResponse" />

<ResponseField name="409" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/ar/credit-memos/{id}/apply' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "amount": "string",
    "invoice_id": "string"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "amount": "string",
    "applied_amount": "string",
    "created_at": "string",
    "credit_memo_number": "string",
    "customer_id": "string",
    "id": "string",
    "reason": "string",
    "status": "string",
    "unapplied_amount": "string"
  }
  ```
</ResponseExample>
